# Copyright (C) 2018-2023 Intel Corporation
# SPDX-License-Identifier: Apache-2.0

"""
Package: openvino
Low level wrappers for the FrontEnd C++ API.
"""

# flake8: noqa

from openvino.utils import add_openvino_libs_to_path

add_openvino_libs_to_path()


try:
    from openvino.frontend.pytorch.py_pytorch_frontend import _FrontEndPytorchDecoder as Decoder
    from openvino.frontend.pytorch.py_pytorch_frontend import _Type as DecoderType
except ImportError as err:
    raise ImportError("OpenVINO PyTorch frontend is not available, please make sure the frontend is built."
                      "{}".format(err))
